Subject: bug#26587: 26.0.50; Gnus signs with false S/MIME key

From: Torsten Bronger <[email-masked]>
Date: Thu, 10 Oct 2019 09:43:59 +0200

Hallöchen!

Lars Ingebrigtsen writes:

> [...]
>
> Now, for the bug you're seeing...  If I'm tracing the code right (and I
> may well not be), this is what's used to find what name to sign with:
>
> (defun mml-secure-signer-names (protocol sender)
>   "Determine signer names for PROTOCOL and message from SENDER.
> Returned names may be e-mail addresses or key IDs and are determined based
> on `mml-secure-openpgp-signers' and `mml-secure-openpgp-sign-with-sender' with
> OpenPGP or `mml-secure-smime-signers' and `mml-secure-smime-sign-with-sender'
> with S/MIME."
>   (if (eq 'OpenPGP protocol)
>       (append mml-secure-openpgp-signers
> 	      (if (and mml-secure-openpgp-sign-with-sender sender)
> 		  (list (concat "<" sender ">"))))
>     (append mml-secure-smime-signers
> 	    (if (and mml-secure-smime-sign-with-sender sender)
> 		(list (concat "<" sender ">"))))))
>
> mml-secure-smime-sign-with-sender defaults to nil, so it's normally not
> used.  So this returns just the value of mml-secure-smime-signers.
> What's that variable for you?

It’s nil, and if I set it to t, my problem is gone.  Thank you!
Strange default, though …

Regards,
Torsten.

-- 
Torsten Bronger